Pip install -r requirements.txt

Hi everyone:
Please help on below error:
ERROR: Command errored out with exit status 1:
command: ‘c:\python\python.exe’ -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘"’"‘C:\Users\Thinkrecycling\AppData\Local\Temp\pip-install-q5dekh5f\pywinpty\setup.py’"’"’; file=’"’"‘C:\Users\Thinkrecycling\AppData\Local\Temp\pip-install-q5dekh5f\pywinpty\setup.py’"’"’;f=getattr(tokenize, ‘"’"‘open’"’"’, open)(file);code=f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ egg_info --egg-base ‘C:\Users\Thinkrecycling\AppData\Local\Temp\pip-install-q5dekh5f\pywinpty\pip-egg-info’
cwd: C:\Users\Thinkrecycling\AppData\Local\Temp\pip-install-q5dekh5f\pywinpty
Complete output (147 lines):
Unable to find pgen, not compiling formal grammar.
Traceback (most recent call last):
File “c:\python\lib\distutils\core.py”, line 148, in setup
dist.run_commands()
File “c:\python\lib\distutils\dist.py”, line 966, in run_commands
self.run_command(cmd)
File “c:\python\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “c:\python\lib\site-packages\setuptools\command\bdist_egg.py”, line 163, in run
self.run_command(“egg_info”)
File “c:\python\lib\distutils\cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “c:\python\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “c:\python\lib\site-packages\setuptools\command\egg_info.py”, line 283, in run
self.mkpath(self.egg_info)
File “c:\python\lib\distutils\cmd.py”, line 338, in mkpath
dir_util.mkpath(name, mode, dry_run=self.dry_run)
File “c:\python\lib\distutils\dir_util.py”, line 70, in mkpath
os.mkdir(head, mode)
File “c:\python\lib\site-packages\setuptools\sandbox.py”, line 310, in wrap
path = self._remap_input(name, path, *args, **kw)
File “c:\python\lib\site-packages\setuptools\sandbox.py”, line 452, in _remap_input
self._violation(operation, os.path.realpath(path), *args, **kw)
File “c:\python\lib\site-packages\setuptools\sandbox.py”, line 407, in _violation
raise SandboxViolation(operation, args, kw)
setuptools.sandbox.SandboxViolation: SandboxViolation: mkdir(‘C:\Users\THINKR~1\AppData\Local\Temp\easy_install-tqc9v1cp\Cython-0.29.14\Cython.egg-info’, 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package's author and the EasyInstall
maintainers to find out if a fix or workaround is available.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "C:\Users\THINKR~1\AppData\Local\Temp\easy_install-tqc9v1cp\Cython-0.29.14\setup.py", line 228, in <module>
  File "c:\python\lib\site-packages\setuptools\__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "c:\python\lib\distutils\core.py", line 163, in setup
    raise SystemExit("error: " + str(msg))
SystemExit: error: SandboxViolation: mkdir('C:\\Users\\THINKR~1\\AppData\\Local\\Temp\\easy_install-tqc9v1cp\\Cython-0.29.14\\Cython.egg-info', 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package's author and the EasyInstall
maintainers to find out if a fix or workaround is available.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 1144, in run_setup
    run_setup(setup_script, args)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 253, in run_setup
    raise
  File "c:\python\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\python\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "c:\python\lib\site-packages\setuptools\_vendor\six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "c:\python\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "C:\Users\THINKR~1\AppData\Local\Temp\easy_install-tqc9v1cp\Cython-0.29.14\setup.py", line 228, in <module>
  File "c:\python\lib\site-packages\setuptools\__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "c:\python\lib\distutils\core.py", line 163, in setup
    raise SystemExit("error: " + str(msg))
SystemExit: error: SandboxViolation: mkdir('C:\\Users\\THINKR~1\\AppData\\Local\\Temp\\easy_install-tqc9v1cp\\Cython-0.29.14\\Cython.egg-info', 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package's author and the EasyInstall
maintainers to find out if a fix or workaround is available.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\Thinkrecycling\AppData\Local\Temp\pip-install-q5dekh5f\pywinpty\setup.py", line 68, in <module>
    setup(
  File "c:\python\lib\site-packages\setuptools\__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "c:\python\lib\site-packages\setuptools\__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "c:\python\lib\site-packages\setuptools\dist.py", line 716, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "c:\python\lib\site-packages\pkg_resources\__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "c:\python\lib\site-packages\pkg_resources\__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "c:\python\lib\site-packages\pkg_resources\__init__.py", line 1077, in obtain
    return installer(requirement)
  File "c:\python\lib\site-packages\setuptools\dist.py", line 786, in fetch_build_egg
    return cmd.easy_install(req)
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 679, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 705, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 890, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 1158, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "c:\python\lib\site-packages\setuptools\command\easy_install.py", line 1146, in run_setup
    raise DistutilsError("Setup script exited with %s" % (v.args[0],))
distutils.errors.DistutilsError: Setup script exited with error: SandboxViolation: mkdir('C:\\Users\\THINKR~1\\AppData\\Local\\Temp\\easy_install-tqc9v1cp\\Cython-0.29.14\\Cython.egg-info', 511) {}

The package setup script has attempted to modify files on your system
that are not within the EasyInstall build area, and has been aborted.

This package cannot be safely installed by EasyInstall, and may not
support alternate installation locations even if you run its setup
script by hand.  Please inform the package's author and the EasyInstall
maintainers to find out if a fix or workaround is available.

----------------------------------------

ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

(mflix) D:\python\project\mflix-python>

1 Like

Hi @pradeep_61272,

The issue is with Python 3.8

Try installing python 3.7 and installing the packages on it

Can this be the problem? Is there any other way to download the dependencies?

Kanika

Currently all the packages for python 3.8 are unstable.

It will take some time for the package developers to fix all the installation related problems.

Thanks for the heads up! @Harshavardhan_PK :slight_smile: Really appreciate this.

Kanika

1 Like

Thank you All, I have completed that step according your’s suggestions